For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeel Home
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
  • Resources
    • Blog
    • Community
    • API spec
  • Endpoints
      • POSTCancel EOR Contract
      • PATCHDelay EOR employee onboarding
      • GETFetch EOR Contract form
      • GETFetch Start Date for EOR Contracts
      • GETGet EOR Additional Costs
      • GETRetrieve Benefits by Country
      • GETRetrieve detailed hiring guide for a country
      • POSTSign EOR contract document
      • PATCHUpdate Employee Information for EOR Contract
    • PATCHProfiles
LogoLogo
SupportDeel Home
EndpointsEor Hiring

Get EOR Additional Costs

GET
/eor/additional-costs/:country
GET
/rest/v2/eor/additional-costs/:country
$curl https://api.letsdeel.com/rest/v2/eor/additional-costs/US \
> -H "Authorization: Bearer <token>"
1{
2 "data": {
3 "allowances": [
4 {
5 "name": "Work Equipment (Laptop) Allowance",
6 "value": 6000,
7 "optional": true,
8 "description": "Work Equipment (Laptop) Allowance",
9 "is_recurring": false,
10 "rule_cost_id": "6a53aa10-0507-4eea-8411-9f8b392e8d3b",
11 "use_contract_currency": true,
12 "skipping_confirmation_text": "I confirm I already provided or will provide a laptop to this EOR employee through other means and would like to opt out of the work equipment allowance"
13 }
14 ]
15 }
16}

Returns the allowances and non-statutory additional costs available for inclusion in an EOR contract quote for the specified country. Token scopes: contracts:read

Was this page helpful?
Previous

Retrieve Benefits by Country

Next
Built with

Authentication

AuthorizationBearer

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

1curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
2 -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication

OR
AuthorizationBearer
Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Path parameters

countrystringRequiredformat: "^[A-Z]{2}$"=2 characters

The two-letter ISO code of the country for which to retrieve the EOR additional costs.

Response

Successful operation.
dataobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/